Summary:     Work out BuildRequires for rpmbuild automatically
Name:        auto-buildrequires
Version:     1.1
Release:     4%{?dist}
License:     GPLv2+
Group:       Development/Tools
URL:         http://et.redhat.com/~rjones/auto-buildrequires/
Source0:     http://et.redhat.com/~rjones/auto-buildrequires/files/%{name}-%{version}.tar.gz
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:    rpm-build
Requires:    perl-String-ShellQuote

%description
Auto-BuildRequires is a simple set of scripts for automatically suggesting 
BuildRequires lines for programs.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/auto-br
%{_bindir}/auto-br-rpmbuild
%{_libexecdir}/auto-br-analyze.pl
%{_libexecdir}/%{name}-preload.so


%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec  9 2009 Richard W.M. Jones <rjones@redhat.com> - 1.1-1
- New upstream version 1.1.
- Fixes bug when LANG != C (RHBZ#545867).

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar  9 2009 Richard W.M. Jones <rjones@redhat.com> - 1.0-3
- New upstream version 1.0:
  . Fixes 32-bit platforms.
  . Add a missing runtime requires for a Perl library.
- High release number is so that we are larger than the release number
  in the upstream specfile.

* Fri Mar  6 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9-2
- Prepared the SPEC file for Review Request submission

* Fri Mar  6 2009 Richard Jones <rjones@redhat.com> - 0.9-1
- Imported to git and rebuilt.

* Thu Nov  6 2008 Richard Jones <rjones@redhat.com> - 0.1-2
- Initial build.
